! 
	program try

	PARAMETER (N=16)
	integer a(N)
!HPF$   processors p(4)
!HPF$   distribute (block) :: a


	forall (i=1:N) a(i) = i
	forall (i=N-1:1:-1) a(N-i) = a(i)
	print *,a

	forall (i=1:N) a(i) = i
	forall (i=N-1:1:-1) a(i) = a(N-i)
	print *,a

	forall (i=1:N) a(i) = i
	forall (i=1:N-1) a(i) = a(N-i)
	print *,a

	forall (i=1:N) a(i) = i
	forall (i=N:2:-1) a(i) = a(i-1)
	print *,a

	forall (i=1:N) a(i) = i
	forall (i=N-1:1:-1) a(i) = a(i+1)
	print *,a
	end
